
%global meadversion 3.6.9
%global namedversion 3.6.9.Final-redhat-4
%global meadalpha .Final_redhat_4
%global meadrel .1
%global serial 1
%global namedversionrel redhat-4

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jgroups}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.6.9.Final-redhat-4

Name:           %{?scl_prefix}jgroups
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JGroups
Group:          Development/Java

%if %with mead
Source100: jgroups-3.6.9.Final-redhat-4-scm-sources.zip
Source102: jgroups-3.6.9.Final-redhat-4.jar
Source103: jgroups-3.6.9.Final-redhat-4-sources.jar
Source104: jgroups-3.6.9.Final-redhat-4.pom
Source105: jgroups-3.6.9.Final-redhat-4-project-sources.tar.gz
Source106: jgroups-3.6.9.Final-redhat-4-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://www.jgroups.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Reliable cluster communication toolkit.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jgroups
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n JGroups -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jgroups-%{namedversion}.jar %{buildroot}%{_javadir}/jgroups-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jgroups-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jgroups-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jgroups-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jgroups-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jgroups-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jgroups-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jgroups-%{namedversion} -x META-INF/\*
%{__ln_s} jgroups-%{namedversion} %{buildroot}%{_javadocdir}/jgroups
%endif

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(0644,root,root,0755)
%doc INSTALL.html LICENSE README
%{_javadir}/jgroups-%{namedversion}.jar
%{_javadir}/jgroups.jar
%if %with javadoc
%{_javadir}/jgroups-%{namedversion}-javadoc.jar
%{_javadir}/jgroups-javadoc.jar
%endif
%{_javadir}/jgroups-%{namedversion}-sources.jar
%{_javadir}/jgroups-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jgroups-%{namedversion}
%{_javadocdir}/jgroups
%endif

%changelog
* Thu May 26 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.6.9-1.Final_redhat_4.1
- Upgrade to 3.6.9.Final-redhat-4

* Thu May 26 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.6.8-3.Final_redhat_2.1
- Upgrade to 3.6.9.Final-redhat-4

* Thu Apr 07 2016 Paul Gier <pgier@redhat.com> - 3.6.8-2.Final_redhat_2.1
- Rebuild 3.6.8.Final to include fix for JGRP-2035

* Thu Mar 03 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.6.8-1.Final_redhat_1.1
- Upgrade to 3.6.8.Final

* Thu Feb 18 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.6.7-1.Final_redhat_1.1
- Upgrade to 3.6.7.Final

* Mon Oct 19 2015 Fernando Nasser <fnasser@redhat.com> - 3.6.6-1.Final_redhat_1.1
- Use new plugin-removal to avoid staging

* Fri Jul 10 2015 David Walluck <dwalluck@redhat.com> - 3.6.4-2.Final_redhat_1.1
- fix doc

* Fri Jul 10 2015 David Walluck <dwalluck@redhat.com> - 3.6.4-1.Final_redhat_1.1
- release

